/* Information associated with an DIF node.

 Copyright (c) 2002 The University of Maryland. All rights reserved.
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
 software and its documentation for any purpose, provided that the above
 copyright notice and the following two paragraphs appear in all copies
 of this software.

 IN NO EVENT SHALL THE UNIVERSITY OF MARYLAND BE LIABLE TO ANY PARTY
 FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
 THE UNIVERSITY OF MARYLAND HAS BEEN ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 THE UNIVERSITY OF MARYLAND SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 MARYLAND HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 ENHANCEMENTS, OR MODIFICATIONS.

*/


//////////////////////////////////////////////////////////////////////////
//// DIFNodeWeight
/** Information associated with an DIF node. {@link DIFNodeWeight}s are objects
associated with {@link ptolemy.graph.Node}s
that represent DIF nodes in {@link ptolemy.graph.Graph}s.
This class caches frequently-used data associated with DIF nodes.
It is also useful for representing intermediate DIF graph representations
that do not correspond to Ptolemy II models, and performing graph
transformations (e.g. conversion to and manipulation of single-rate graphs).
It is intended for use with analysis/synthesis algorithms that operate
on generic graph representations of DIF models.

@author Michael Rinehart, Shuvra S. Bhattacharyya
@version $Id: DIFNodeWeight.java,v 1.4 2002/09/20 22:39:07 keceli Exp $
@see ptolemy.graph.Node
@see synthesis.dif.DIFEdgeWeight
*/

public class DIFNodeWeight {

    /** Constructor
     */
    public DIFNodeWeight() {
    }

    /** Returns the string "DIFNodeWeight".
     *  @return The string "DIFNodeWeight".
     */
    public String toString() {
        return this.getClass().getName();
    }
}
