/* Exception of computing a function of graph with wrong states.

 Copyright (c) 2002 The University of Maryland.
 All rights reserved.
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
 software and its documentation for any purpose, provided that the above
 copyright notice and the following two paragraphs appear in all copies
 of this software.

 IN NO EVENT SHALL THE UNIVERSITY OF MARYLAND BE LIABLE TO ANY PARTY
 FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
 THE UNIVERSITY OF MARYLAND HAS BEEN ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 THE UNIVERSITY OF MARYLAND SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 MARYLAND HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 ENHANCEMENTS, OR MODIFICATIONS.

@ProposedRating Red (myko@eng.umd.edu)
@AcceptedRating Red (ssb@eng.umd.edu)
*/


//////////////////////////////////////////////////////////////////////////
//// GraphStateException
/**
The exception of computing a funcion of graph with wrong states.
In some cases, a proper input graph is required to evaluate functions of
a graph. Graphs with wrong states lead to invalid results or even making
functions incomputable. Some examples of the states are: topology,
connectivity, graph type, node/edge counts ...etc.

@author Mingyung Ko
@version $Id: GraphStateException.java,v 1.1 2002/09/17 17:45:34 shuvra Exp $
*/
public class GraphStateException extends GraphException {

    /** The default constructor without arguments.
     */
    public GraphStateException() {}

    /** Constructor with an argument of text description.
     *  @param message The exception message.
     */
    public GraphStateException(String message) {
        super(message);
    }

}

